%define name		qsstv
%define rname	QSSTV
%define summary	Slow Scan Television Application
%define version	5.2d
%define release	%mkrel 1

Summary: %summary
Name: %name
Version: %{version}
Release: %{release}
License: GPL
Group: Sciences/Other/HamRadio
Source: http://users.pandora.be/on1mh/download/%{name}-%{version}.tar.bz2
Patch0: qsstv-5.2d-patch
Patch1: fhs-docs.patch.bz2
Patch2: desktop.patch.bz2
#Patch3: %{name}-%{version}-sstvparam.patch.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: libxext-devel
BuildRequires:	zlib-devel
BuildRequires:	libpng-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libqt3-devel

Requires: libqt3 => 3.1.2
Requires: libpng3 => 1.2.5
Requires: libstdc++5 => 3.3.1
Requires: libgcc1 => 3.3.1

%description
%{rname} Amateur Radio slow scan television application supporting Martin 1 & 2, Scotty 1 & 2 & DX, Wr.SC2, Robot 36 & 72, P3, P5, P7

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
#fix for --tag=CXX
perl -pi -e 's/--tag=CXX//' qsstv/Makefile.in
#libtoolize --force --automake
#aclocal-1.7
#automake-1.7 --add-missing
#autoconf-2.5x
%configure --disable-final
#Fix for qt-3.2
for i in qsstv/*.ui ; do
	rm -f ${i//.ui/.h}
	/usr/lib/qt3/bin/uic $i -o ${i//.ui/.h}
done
make

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall


%{__mkdir_p} %{buildroot}%{_iconsdir}
cat  %{name}.png > %{buildroot}%{_iconsdir}/%{name}.png
%{__mkdir_p} %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop  << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%name
Comment=%summary
Exec=%{_bindir}/%{name}
Icon=%name
Terminal=false
Type=Application
Categories=Science;X-MandrivaLinux-MoreApplications-Sciences-Other;
EOF

mkdir -p %{buildroot}%{_menudir}
# Mandrake Menu entry
mkdir -p %{buildroot}%{_menudir}
cat <<EOF > %{buildroot}%{_menudir}/%{name}
?package(%{name}): \
needs="x11" \
section="Applications/Sciences/Other" \
title="qsstv" \
longtitle="qsstv" \
command="/usr/bin/qsstv" \
icon="%{name}.png" \
terminal="true"
EOF

mkdir -p %{buildroot}%{_datadir}/doc/%{name}/html
mv -f %{buildroot}%{_datadir}/doc/%{name}/*.html %{buildroot}%{_datadir}/doc/%{name}/html

mkdir -p %{buildroot}%{_mandir}/man1
install -m 644 qsst*.1 %{buildroot}%{_mandir}/man1/

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
%{update_menus}

%postun
%{update_menus}

%files
%defattr(-, root, root)
%{_bindir}/qsstv
%{_datadir}/pixmaps/%{name}.*
%{_datadir}/doc/%{name}/html/*
%{_mandir}/man1/*
%{_iconsdir}/%{name}.*
%{_menudir}/%{name}
%{_datadir}/applications/%{name}.desktop


%changelog
* Tue May 6 2008 Paul Grinberg <gri6507 TA yahoo TOD com> 5.2d-1pclos2007
- Initial release for PCLinuxOS

* Tue Oct 26 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 5.2d-3.mdk10.1.thac
- 3.mdk10.1.thac
- Where "3" is the release of the package, "mdk" is the distro, "10.1" is the release of the distro, and "thac" is the Torbjorn Turpeinen extension.

* Mon May 10 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 5.2d-2thac
- Rebuilt for Mandrake 10.0

* Wed Feb 11 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 5.2d-1thac
- Built for Mandrake 9.2

